# -*- rpm-spec -*-
# $Id: kernel-modules-qla2x00.spec,v 1.5 2003/11/28 19:59:43 vsu Exp $
#

%define	upstream_name	qla2x00

%define module_name	kernel-modules-%upstream_name
%define module_version	6.05.00
%define module_urelease	b9
%define module_fullversion	%{module_version}%{module_urelease}

%define kversion	2.4.22
%define krelease	alt12
%define flavour		std-up

%define kcc "%kgcc"

%define module_dir /lib/modules/%kversion-%flavour-%krelease/kernel/drivers/scsi

Name: %module_name-%flavour
Version: %module_version
Release: alt11.%module_urelease.12

Summary: QLogic Fibre Channel Driver
License: GPL
Group: System/Kernel and hardware
Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux

BuildPreReq: kernel-build-tools

%if_enabled ccache
BuildRequires: ccache
%endif

BuildRequires: gcc2.96 rpm >= 4.0.2-75
BuildRequires: kernel-source-%upstream_name
BuildRequires: kernel-headers-%flavour = %kversion-%krelease
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease

Provides:  %module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: %module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: %module_name-%kversion-%flavour-%krelease > %version-%release

Prereq: coreutils
Prereq:	modutils
Prereq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86
Provides: %module_name

%description
This package contains QLA2x00 linux kernel driver with
support of the following features:
 * FCAL - direct attach loop
 * Point-to-point
 * Fabric support
 * Initiator mode only
 * Fault recovery on down loops
 * Persistent binding 
 * Extended LUN support up to 255 LUNs
 * FC tape support
 * IPFC support
 * Non Failover and Failover capability
NOTE: Failover option deactivated.

%prep

rm -rf %upstream_name-%module_fullversion
%__tar -jxvf %kernel_src/%upstream_name-%module_fullversion.tar.bz2

%setup -D -T -n %upstream_name-%module_fullversion

%build

%make_install CC=%kcc SMP=1 INCLUDEDIR=%_includedir/linux-%kversion-%flavour/include/ \
	INCLUDESCSIDIR=%_usrsrc/linux-%kversion-%flavour/drivers/scsi/

%install
%__mkdir_p %buildroot/%module_dir
%__install -p -m644 {qla2300,qla2200}.o %buildroot/%module_dir

%post
/sbin/depmod -a -e -F /boot/System.map-%kversion-%flavour-%krelease \
    %kversion-%flavour-%krelease

%postun
[ ! -f /boot/System.map-%kversion-%flavour-%krelease ] || \
/sbin/depmod -a -e -F /boot/System.map-%kversion-%flavour-%krelease \
    %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 6.05.00-alt11.b9.12
- Added Provides/Conflicts to make sure that only one version of the package
  can be installed for each kernel version.

* Tue Nov 11 2003 Sergey Vlasov <vsu@altlinux.ru> 6.05.00-alt10.b9.12
- Avoid %%postun failure when this package is removed after
  kernel-image-%%flavour (currently rpm cannot prevent this).

* Tue Sep 09 2003 Anton Farygin <rider@altlinux.ru> 6.05.00-alt9.b9.12
- imported to ALT Linux kernel CVS

* Wed Sep 03 2003 Ed V. Bartosh <ed@altlinux.org> 6.05.00-alt9.b9
- rebuilt with 2.4.21-alt23

* Mon Sep  1 2003 Zhenja Kaluta <tren@altlinux.ru> 6.05.00-alt8.b9
- rebuild with 2.4.21-aw-alt22

* Mon Aug 25 2003 Zhenja Kaluta <tren@altlinux.ru> 6.05.00-alt7.b9
- rebuilt with 2.4.21-alt21

* Wed Aug 20 2003 Ed V. Bartosh <ed@altlinux.org> 6.05.00-alt6.b9
- rebuilt with 2.4.21-alt19

* Mon Aug 11 2003 Zhenja Kaluta <tren@altlinux.ru> 6.05.00-alt5.b9
- rebuilt with 2.4.21-alt18

* Fri Aug  8 2003 Zhenja Kaluta <trinfo@mail.ru> 6.05.00-alt4.b9
- rebuilt with 2.4.21-alt17

* Thu Aug 07 2003 Ed V. Bartosh <ed@altlinux.org> 6.05.00-alt3.b9
- rebuilt with 2.4.21-alt14

* Tue Aug 05 2003 Zhenja Kaluta <tren@altlinux.ru> 6.05.00-alt2.b9
- aw-smp-2.4.21-alt13

* Fri Aug  1 2003 Ed V. Bartosh <ed@sam-solutions.net> 6.05.00-alt1.b9
- Initial release

